<script lang="ts">
  import Dialog from '@svelte-ui/modals/Dialog.svelte';

  //   export let toggle: boolean;
  //   let gsap: GSAP;
  let dialog: HTMLDivElement;
  let prompt = false;

  //   const { lock, cleanUp } = scrollLock();

  //   $: isBoolean(toggle) && (prompt = true);
  //   $: lock(prompt);
  //   $: {
  //     if (dialog) {
  //       prompt ? show() : hide();
  //     }
  //   }

  //   const show = () => {
  //     gsap.from(dialog, {
  //       duration: 0.3,
  //       scaleX: 0,
  //       scaleY: 0,
  //       ease: 'back.easeIn',
  //     });
  //   };

  //   const hide = () => {};

  //   onMount(async () => {
  //     gsap = (await import('gsap/all')).gsap;
  //   });

  //   onDestroy(() => cleanUp());
</script>

<button on:click={() => (prompt = true)}><a>Clear your digital footprint</a></button>

<Dialog
  {prompt}
  blur={10}
  interactive
  on:close={() => (prompt = false)}>
  <div
    bind:this={dialog}
    role="dialog"
    class="dialog">
    Control to clear cookies and cache to reset settings/configs stored. exp: first time visitor can
    show intro animation but provide option to skip the next time visit
  </div>
</Dialog>

<style>
  .dialog {
    width: 500px;
    max-width: calc(100vw - (var(--content-margin) * 2));
    height: 200px;
    max-height: 100%;
    border-radius: var(--radius-4);
    margin: var(--content-margin);
    background-color: white;
  }
</style>
